Loading...
Searching...
No Matches
cf_defs.h File Reference

factory switches. More...

`#include "globaldefs.h"`
`#include "omalloc/omalloc.h"`

Go to the source code of this file.

## Macros

#define | UndefinedDomain 32000
#define | PrimePowerDomain 5
#define | GaloisFieldDomain 4
#define | FiniteFieldDomain 3
#define | RationalDomain 2
#define | IntegerDomain 1
#define | LEVELBASE -1000000
#define | LEVELTRANS -500000
#define | LEVELQUOT 1000000
#define | LEVELEXPR 1000001
#define | NEW_ARRAY(T, N)
#define | DELETE_ARRAY(P)

## Variables

static const int | SW_RATIONAL = 0
| set to 1 for computations over Q
static const int | SW_SYMMETRIC_FF = 1
| set to 1 for symmetric representation over F_q
static const int | SW_USE_EZGCD = 2
| set to 1 to use EZGCD over Z
static const int | SW_USE_EZGCD_P = 3
| set to 1 to use EZGCD over F_q
static const int | SW_USE_NTL_SORT =4
| set to 1 to sort factors in a factorization
static const int | SW_USE_CHINREM_GCD =5
| set to 1 to use modular gcd over Z
static const int | SW_USE_QGCD =6
| set to 1 to use Encarnacion GCD over Q(a)
static const int | SW_USE_FF_MOD_GCD =7
| set to 1 to use modular GCD over F_q
static const int | SW_USE_FL_GCD_P =8
| set to 1 to use Flints gcd over F_p
static const int | SW_USE_FL_GCD_0 =9
| set to 1 to use Flints gcd over Q/Z
static const int | SW_BERLEKAMP =10
| set to 1 to use Factorys Berlekamp alg.
static const int | SW_FAC_QUADRATICLIFT =11
static const int | SW_USE_FL_FAC_P =12
| set to 1 to prefer flints multivariate factorization over Z/p
static const int | SW_USE_FL_FAC_0 =13
| set to 1 to prefer flints multivariate factorization over Z/p
static const int | SW_USE_FL_FAC_0A =14
| set to 1 to prefer flints multivariate factorization over Z/p(a)

## Detailed Description

factory switches.

Definition in file cf_defs.h.

## Macro Definition Documentation

## DELETE_ARRAY

#define DELETE_ARRAY | ( |  | P | ) |

Value:
omFree(P)
omFree
#define omFree(addr)
Definition omAllocDecl.h:261

Definition at line 65 of file cf_defs.h.

## FiniteFieldDomain

#define FiniteFieldDomain 3

Definition at line 19 of file cf_defs.h.

## GaloisFieldDomain

#define GaloisFieldDomain 4

Definition at line 18 of file cf_defs.h.

## IntegerDomain

#define IntegerDomain 1

Definition at line 21 of file cf_defs.h.

## LEVELBASE

#define LEVELBASE -1000000

Definition at line 25 of file cf_defs.h.

## LEVELEXPR

#define LEVELEXPR 1000001

Definition at line 28 of file cf_defs.h.

## LEVELQUOT

#define LEVELQUOT 1000000

Definition at line 27 of file cf_defs.h.

## LEVELTRANS

#define LEVELTRANS -500000

Definition at line 26 of file cf_defs.h.

## NEW_ARRAY

#define NEW_ARRAY | ( |  | T,
|  |  | N )

Value:
(T*)omAlloc((N)*sizeof(T))
N
const CanonicalForm CFMap CFMap & N
Definition cfEzgcd.cc:56
T
STATIC_VAR jList * T
Definition janet.cc:30
omAlloc
#define omAlloc(size)
Definition omAllocDecl.h:210

Definition at line 64 of file cf_defs.h.

## PrimePowerDomain

#define PrimePowerDomain 5

Definition at line 17 of file cf_defs.h.

## RationalDomain

#define RationalDomain 2

Definition at line 20 of file cf_defs.h.

## UndefinedDomain

#define UndefinedDomain 32000

Definition at line 16 of file cf_defs.h.

## Variable Documentation

## SW_BERLEKAMP

const int SW_BERLEKAMP =10

static

set to 1 to use Factorys Berlekamp alg.

Definition at line 51 of file cf_defs.h.

## SW_FAC_QUADRATICLIFT

const int SW_FAC_QUADRATICLIFT =11

static

Definition at line 53 of file cf_defs.h.

## SW_RATIONAL

const int SW_RATIONAL = 0

static

set to 1 for computations over Q

Definition at line 31 of file cf_defs.h.

## SW_SYMMETRIC_FF

const int SW_SYMMETRIC_FF = 1

static

set to 1 for symmetric representation over F_q

Definition at line 33 of file cf_defs.h.

## SW_USE_CHINREM_GCD

const int SW_USE_CHINREM_GCD =5

static

set to 1 to use modular gcd over Z

Definition at line 41 of file cf_defs.h.

## SW_USE_EZGCD

const int SW_USE_EZGCD = 2

static

set to 1 to use EZGCD over Z

Definition at line 35 of file cf_defs.h.

## SW_USE_EZGCD_P

const int SW_USE_EZGCD_P = 3

static

set to 1 to use EZGCD over F_q

Definition at line 37 of file cf_defs.h.

## SW_USE_FF_MOD_GCD

const int SW_USE_FF_MOD_GCD =7

static

set to 1 to use modular GCD over F_q

Definition at line 45 of file cf_defs.h.

## SW_USE_FL_FAC_0

const int SW_USE_FL_FAC_0 =13

static

set to 1 to prefer flints multivariate factorization over Z/p

Definition at line 57 of file cf_defs.h.

## SW_USE_FL_FAC_0A

const int SW_USE_FL_FAC_0A =14

static

set to 1 to prefer flints multivariate factorization over Z/p(a)

Definition at line 59 of file cf_defs.h.

## SW_USE_FL_FAC_P

const int SW_USE_FL_FAC_P =12

static

set to 1 to prefer flints multivariate factorization over Z/p

Definition at line 55 of file cf_defs.h.

## SW_USE_FL_GCD_0

const int SW_USE_FL_GCD_0 =9

static

set to 1 to use Flints gcd over Q/Z

Definition at line 49 of file cf_defs.h.

## SW_USE_FL_GCD_P

const int SW_USE_FL_GCD_P =8

static

set to 1 to use Flints gcd over F_p

Definition at line 47 of file cf_defs.h.

## SW_USE_NTL_SORT

const int SW_USE_NTL_SORT =4

static

set to 1 to sort factors in a factorization

Definition at line 39 of file cf_defs.h.

## SW_USE_QGCD

const int SW_USE_QGCD =6

static

set to 1 to use Encarnacion GCD over Q(a)

Definition at line 43 of file cf_defs.h.